;
; Include file for Minesweeper 83 Ashell
;

.NOLIST                     
#define equ .equ            
#define EQU .equ            
#define END .end            
#include "ti83asm.inc"      
.LIST                                

.org $9327
 
 nop                     ;these 2 lines identify the program
 jr      prog_start      ;as AShell-compatable
 .dw     $0000           ;Version of table
 .dw     Description     ;Points to the program description
; .dw     Icon            ;Points to an 8x8 icon
; .dw     $0000           ;For future use ( *Libraries*? :)

; Equates for TI-83 -- I'm not going to change everything... lazy me ;)

CURSOR_POS = CURROW
CURSOR_ROW = CURROW
CURSOR_COL = CURCOL
CURSOR_X = PENCOL
CURSOR_Y = PENROW
TEXT_MEM = TEXTSHADOW
APD_BUF = savesscreen
D_ZT_STR = _puts
D_ZM_STR = _vputs
GRAPH_MEM = PLOTSSCREEN ; $8e29 ?
gbuf = GRAPH_MEM
TX_CHARPUT = _putc
MINES_TX_CHARPUT = _putc
UNPACK_HL = $4008
DISP_GRAPH = _grbufcpy_v     
BUSY_OFF = _runIndicOff       
CLEARLCD = _clrLCDFull
CLRGBU = _grbufclr
DISP_DELAY = _lcd_busy
MUL_H_L = _HTIMESL

#Define ROM_CALL(Addr) call Addr

GET_KEY  = $4014
;---------------
;---------------
G_NONE   = $00
G_DOWN   = $01
G_LEFT   = $02
G_RIGHT  = $03
G_UP     = $04
G_ENTER  = $09
G_PLUS   = $0A
G_MINUS  = $0B
G_TIMES  = $0C
G_DIV    = $0D
G_CARROT = $0E
G_CLEAR  = $0F
G_NEG    = $11
G_3      = $12
G_6      = $13
G_9      = $14
G_PARENR = $15
G_TAN    = $16
G_VARS   = $17
G_PERIOD = $19
G_2      = $1A
G_5      = $1B
G_8      = $1C
G_PARENL = $1D
G_COS    = $1E
G_PRGM   = $1F
G_STAT   = $20
G_0      = $21
G_1      = $22
G_4      = $23
G_7      = $24
G_COMMA  = $25
G_SIN    = $26
G_MATRIX = $27
G_XTO    = $28
G_ON     = $29
G_STO    = $2A
G_LN     = $2B
G_LOG    = $2C
G_SQR    = $2D
G_INVE   = $2E
G_MATH   = $2F
G_ALPHA  = $30
G_GRAPH  = $31
G_TRACE  = $32
G_ZOOM   = $33
G_WINDOW = $34
G_YEDIT  = $35
G_2ND    = $36
G_SECOND = $36
G_MODE   = $37
G_DEL    = $38

LD_HL_MHL:      ;Thanks to M. Shepcar
 ld a,(hl)
 inc hl
 ld h,(hl)
 ld l,a
 ret

.end
